DeductCardLoadProfile

Deduct requested amount from card and load the amount back to the profile.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction
profileNumberString1-20 characters✓The profile to which the card belongs, funds will be loaded to this profile
cardIdentifierString1-20 characters✓The card number, tracking number or sequence number of the card to deduct
requestAmountInteger✓The requested amount to be deducted from the card and loaded onto the profile, in cents
transactionIDString1-255 characters✓Transaction ID number generated by the calling client
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key

Response Parameters

ParametertypeDescription
terminalIDStringEcho of incoming value
profileNumberStringEcho of incoming value
cardNumberStringNumber of the card found using the cardIdentifier
requestAmountIntegerEcho of incoming value
clientTransactionIDStringEcho of incoming value
serverTransactionIDDateTransaction ID generated by Paymentology
balanceAmountIntegerBalance amount in cents
authNumberStringAuthorisation number for transaction
expiryDateDateThe expiry date of the card
TransactionFeeIntegerTransaction fee amount in cents
resultCodeIntegerStatus code indicating transaction result
resultTextStringText indicating transaction result